## Table of Contents

* [Read Me](/README.md)
* [Introduction](/doc/introduction/README.md)
  * [Beginner Tutorial](/doc/introduction/BeginnerTutorial.md)
  * [Saga background](/doc/introduction/SagaBackground.md)
* [Basic Concepts](/doc/basics/README.md)
  * [Using Saga Helpers](/doc/basics/UsingSagaHelpers.md)
  * [Declarative Effects](/doc/basics/DeclarativeEffects.md)
  * [Dispatching actions](/doc/basics/DispatchingActions.md)
  * [Error handling](/doc/basics/ErrorHandling.md)
  * [A common abstraction: Effect](/doc/basics/Effect.md)
* [Advanced Concepts](/doc/advanced/README.md)
  * [Pulling future actions](/doc/advanced/FutureActions.md)
  * [Non blocking calls](/doc/advanced/NonBlockingCalls.md)
  * [Running tasks in parallel](/doc/advanced/RunningTasksInParallel.md)
  * [Starting a race between multiple Effects](/doc/advanced/RacingEffects.md)
  * [Sequencing Sagas using yield*](/doc/advanced/SequencingSagas.md)
  * [Composing Sagas](/doc/advanced/ComposingSagas.md)
  * [Task cancellation](/doc/advanced/TaskCancellation.md)
  * [Fork model](/doc/advanced/ForkModel.md)
  * [Common Concurrency Patterns](/doc/advanced/Concurrency.md)
  * [Examples of Testing Sagas](/doc/advanced/Testing.md)
  * [Using Channels](/doc/advanced/Channels.md)
  * [Root Saga Patterns](/doc/advanced/RootSaga.md)
* [Effects](/doc/effects/README.md)
* [Migration from Javascript](/doc/migration/README.md)
* [API Reference](https://pub.dev/documentation/redux_saga)

